> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe a workflow link (branding + messages, no run start)



## OpenAPI

````yaml /openapi/workflows.json post /workflows/links/{linkId}/describe
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/links/{linkId}/describe:
    post:
      tags:
        - Workflows
      summary: Describe a workflow link (branding + messages, no run start)
      operationId: workflows.links.describe
      parameters:
        - name: linkId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      status:
                        const: ok
                      branding:
                        anyOf:
                          - type: object
                            properties:
                              logo:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              primaryColor:
                                anyOf:
                                  - type: string
                                    pattern: >-
                                      ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                  - type: 'null'
                              backgroundColor:
                                anyOf:
                                  - type: string
                                    pattern: >-
                                      ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                  - type: 'null'
                              fontColor:
                                anyOf:
                                  - type: string
                                    pattern: >-
                                      ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
                                  - type: 'null'
                              fontFamily:
                                anyOf:
                                  - enum:
                                      - Satoshi
                                      - Inter
                                      - Geist
                                      - Plus Jakarta Sans
                                      - DM Sans
                                      - Manrope
                                      - Work Sans
                                      - Poppins
                                      - Space Grotesk
                                      - Fraunces
                                      - Playfair Display
                                      - Source Serif 4
                                    type: string
                                  - type: 'null'
                            required:
                              - logo
                              - primaryColor
                              - backgroundColor
                              - fontColor
                              - fontFamily
                          - type: 'null'
                      messages:
                        type: object
                        properties:
                          welcome:
                            type: object
                            properties:
                              title:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              description:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - title
                              - description
                          success:
                            type: object
                            properties:
                              title:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              description:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - title
                              - description
                        required:
                          - welcome
                          - success
                    required:
                      - status
                      - branding
                      - messages
                  - type: object
                    properties:
                      status:
                        const: error
                      code:
                        enum:
                          - invalid_link
                          - rate_limited
                        type: string
                    required:
                      - status
                      - code
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````